Package org.eclipse.microprofile.telemetry.metrics.tck.jvm

# Class JvmMemoryTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.telemetry.metrics.tck.jvm.JvmMemoryTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class JvmMemoryTest extends org.jboss.arquillian.testng.Arquillian

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`JvmMemoryTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createTestArchive()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JvmMemoryTest

public JvmMemoryTest()

## Method Details

### createTestArchive

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createTestArchive()